View Issue Details

IDProjectCategoryView StatusLast Update
0000748PartDesignBugpublic2012-11-01 09:22
ReporterjmaustpcAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platform32 bitOSKubuntuOS Version12.04
Product Version 
Target VersionFixed in Version0.13 
Summary0000748: reverse revolve from a sketch mapped to face of Part box and a solid from PartDesign Groove inconsistency
Descriptionreverse revolve from a sketch mapped to a face of a Part Box produces a box with a revolved knob hanging out the side.

whereas

reverse revolve from a sketch mapped to a face of a PartDesign solid product of the groove tool, gives you just the revolve. The box with the groove in it disappears. That is, the original box with a groove in it is set to view mode "hidden" and a copy of this box with groove in it is not attached to the reverse revolve which should have been hanging out the side of it.



full version data
Version: 0.13.1124 (Git)
Branch: master
Hash: 6c16628f4e0ed88ca12c05877c43602d71219134
Steps To Reproducecreate a Part Box
select a side face
make a sketch
revolve tool on the sketch to for example 60 degrees and set reversed

produces a box with a revolved knob hanging out the side.

However

create a Part Box
select a side face
make a sketch
groove tool on the sketch to for example 60 degrees
correctly Produces a box with a grooved slot in it
select the same side face again (but now it is a face of the groove solid not the original box)
make a new sketch mapped to that face
revolve tool on this new second sketch to, for example, 60 degrees and set reversed

You get a revolve shape but the "box with a groove in it" is missing
Additional Informationhere is two example files
TagsNo tags attached.

Relationships

child of 0000745 closed Groove often fails or does unexpected things 

Activities

2012-06-11 11:29

 

test_of_groove4_sketch_revolve_reverse_mapped_to_a_groove.FCStd (14,047 bytes)

2012-06-11 11:30

 

test_of_groove5_sketch_revolve_reverse_mapped_to_a_box.FCStd (8,277 bytes)

jrheinlaender

2012-06-11 13:56

developer   ~0002177

The groove feature needs to extract the solid from the result of the cut operation in case a compound was created.

I pushed an updated FeatureGroove.cpp to
https://github.com/jrheinlaender/FreeCAD
branch jrheinlaender/PartDesign

Issue History

Date Modified Username Field Change
2012-06-11 11:29 jmaustpc New Issue
2012-06-11 11:29 jmaustpc File Added: test_of_groove4_sketch_revolve_reverse_mapped_to_a_groove.FCStd
2012-06-11 11:30 jmaustpc File Added: test_of_groove5_sketch_revolve_reverse_mapped_to_a_box.FCStd
2012-06-11 12:48 wmayer Relationship added child of 0000745
2012-06-11 13:56 jrheinlaender Note Added: 0002177
2012-07-01 12:53 yorik Project FreeCAD => PartDesign
2012-11-01 09:22 logari81 Status new => closed
2012-11-01 09:22 logari81 Resolution open => fixed
2012-11-01 09:22 logari81 Fixed in Version => 0.13